> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cekura.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Generate Evaluator Progress

> Check progress of AI scenario generation



## OpenAPI

````yaml get /test_framework/v1/scenarios/generate-progress/
openapi: 3.1.0
info:
  title: Cekura API
  version: v1
  description: >-
    Complete API documentation for the Cekura platform. This API provides
    endpoints for testing, observing, and evaluating AI voice agents — including
    managing agents, running evaluators, defining metrics, and analyzing call
    quality.
servers:
  - url: https://api.cekura.ai
security: []
paths:
  /test_framework/v1/scenarios/generate-progress/:
    get:
      tags:
        - test_framework
      description: Scenarios generate progress
      operationId: scenarios-generate-progress_2
      parameters:
        - in: query
          name: progress_id
          schema:
            type: string
          description: UUID progress identifier returned from generate-bg endpoint
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  total_scenarios:
                    type: integer
                    description: Total number of scenarios
                  completed_scenarios:
                    type: integer
                    description: Number of completed scenarios
                  failed_scenarios:
                    type: integer
                    description: Number of failed scenarios
                  scenarios_list:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          description: Unique identifier for the scenario
                        name:
                          type: string
                          description: Name of the scenario
                        agent:
                          type: integer
                          description: ID of the AI agent this scenario belongs to
                        assistant_id:
                          type: string
                          description: >-
                            Alternative to agent ID - the assistant ID to use
                            for this scenario
                        personality:
                          type: integer
                          description: ID of the personality used in this scenario
                        personality_name:
                          type: string
                          description: Name of the personality used in this scenario
                        tags:
                          type: array
                          items:
                            type: string
                          description: Tags associated with this scenario.
                        runs:
                          type: array
                          items:
                            type: integer
                          description: List of IDs for the last run of this scenario
                        metrics:
                          type: array
                          items:
                            type: integer
                          description: List of metric IDs to associate with this scenario
                        metric_names:
                          type: array
                          items:
                            type: string
                          description: List of metric names associated with this scenario
                        phone_number:
                          type: string
                          description: >-
                            Phone number used for outbound calls in this
                            scenario
                        phone_number_queue_length:
                          type: integer
                          description: Number of runs in queue for this phone number
                        first_message:
                          type: string
                          description: First message to be sent in the scenario
                        inbound_phone_number:
                          type: integer
                          description: ID of the phone number used for inbound calls
                        inbound_phone_number_data:
                          type: object
                          description: Details of the phone number used for inbound calls
                          properties:
                            id:
                              type: integer
                              description: ID of the inbound phone number
                            number:
                              type: string
                              description: The actual phone number
                            phone_number_id:
                              type: string
                              description: External ID of the phone number
                        instructions:
                          type: string
                          description: Instructions for the AI agent in this scenario
                        simulation_description:
                          type: string
                          description: >-
                            Description of the simulation if this scenario was
                            created by simulation
                        information_fields:
                          type: object
                          description: Additional information fields for the scenario
                        expected_outcome_prompt:
                          type: string
                          description: Expected outcome prompt for the scenario
                        scenario_language:
                          type: string
                          description: Language of the scenario
                        is_simulating:
                          type: boolean
                          description: Whether this scenario was created by simulation
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  field_name:
                    type: array
                    items:
                      type: string
          description: ''
      security:
        - api_key: []
components:
  securitySchemes:
    api_key:
      type: apiKey
      name: X-CEKURA-API-KEY
      in: header
      description: >-
        API Key Authentication. It should be included in the header of each
        request.

````